{"componentChunkName":"component---src-templates-docs-js","path":"/en/whatsapp/c-commerce/messaging/example","result":{"data":{"site":{"siteMetadata":{"title":"broadcaster","docsLocation":"https://github.com","docsLocationType":"github","editable":false}},"mdx":{"fields":{"id":"7ca6dce2-037d-5c92-949a-fc8472f7ad27","title":"Examples","slug":"/en/whatsapp/c-commerce/messaging/example","lang":"en"},"body":"function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }\n\nfunction _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }\n\nfunction _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }\n\n/* @jsx mdx */\nvar _frontmatter = {\n  \"title\": \"Examples\",\n  \"order\": 3\n};\nvar layoutProps = {\n  _frontmatter: _frontmatter\n};\nvar MDXLayout = \"wrapper\";\nreturn function MDXContent(_ref) {\n  var components = _ref.components,\n      props = _objectWithoutProperties(_ref, [\"components\"]);\n\n  return mdx(MDXLayout, _extends({}, layoutProps, props, {\n    components: components,\n    mdxType: \"MDXLayout\"\n  }), mdx(\"p\", null, \"curl examples for sending C-Commerce product messages (single product and multiple products).\"), mdx(\"section\", {\n    \"id\": \"singleproduct\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Single product\")), mdx(\"section\", {\n    \"id\": \"singleproduct--httprequest:singleproduct\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"HTTP request: single product\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl -X POST 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n-H 'Authorization: Bearer {{wa-msg-api-token}}' \\\\\\n-H 'Content-Type: application/json' \\\\\\n-d '{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"singleProductMessage\\\": {\\n        \\\"type\\\": \\\"product\\\",\\n        \\\"body\\\": \\\"Speak English in 8 months\\\", \\n        \\\"footer\\\": \\\"The English course includes one hour a day\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n        }\\n    }\\n}'\\n\"))), mdx(\"section\", {\n    \"id\": \"singleproduct--body:singleproduct\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Body: single product\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"singleProductMessage\\\": {\\n        \\\"type\\\": \\\"product\\\",\\n        \\\"body\\\": \\\"Speak English in 8 months\\\", \\n        \\\"footer\\\": \\\"The English course includes one hour a day\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n        }\\n    }\\n}\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", {\n    \"id\": \"multipleproducts\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Multiple products\")), mdx(\"section\", {\n    \"id\": \"multipleproducts--httprequest:multipleproducts\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"HTTP request: multiple products\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl -X POST 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n-H 'Authorization: Bearer {{wa-msg-api-token}}' \\\\\\n-H 'Content-Type: application/json' \\\\\\n-d '{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"multiProductMessage\\\": {\\n        \\\"type\\\": \\\"product_list\\\",\\n        \\\"header\\\": {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"English Classes\\\"\\n        }, \\n        \\\"body\\\": \\\"Learn English\\\", \\n        \\\"footer\\\": \\\"The best English school\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"sections\\\": [\\n                {\\n                    \\\"title\\\": \\\"My English Section\\\", \\n                    \\\"productItems\\\": [\\n                        {\\n                            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n                        }, \\n                        {\\n                            \\\"productRetailerId\\\": \\\"LLPI12102021\\\" \\n                        }\\n                    ]\\n                }\\n            ]\\n        }\\n    }\\n}'\\n\"))), mdx(\"section\", {\n    \"id\": \"multipleproducts--body:multipleproducts\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Body: multiple products\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"multiProductMessage\\\": {\\n        \\\"type\\\": \\\"product_list\\\",\\n        \\\"header\\\": {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"English Classes\\\"\\n        }, \\n        \\\"body\\\": \\\"Learn English\\\", \\n        \\\"footer\\\": \\\"The best English school\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"sections\\\": [\\n                {\\n                    \\\"title\\\": \\\"My English Section\\\", \\n                    \\\"productItems\\\": [\\n                        {\\n                            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n                        }, \\n                        {\\n                            \\\"productRetailerId\\\": \\\"LLPI12102021\\\" \\n                        }\\n                    ]\\n                }\\n            ]\\n        }\\n    }\\n}\\n\"))));\n}\n;\nMDXContent.isMDXComponent = true;","tableOfContents":{"items":[{"url":"#single-product","title":"Single product","items":[{"url":"#http-request-single-product","title":"HTTP request: single product"},{"url":"#body-single-product","title":"Body: single product"}]},{"url":"#multiple-products","title":"Multiple products","items":[{"url":"#http-request-multiple-products","title":"HTTP request: multiple products"},{"url":"#body-multiple-products","title":"Body: multiple products"}]}]},"timeToRead":1,"parent":{"__typename":"File","relativePath":"en/whatsapp/c-commerce/messaging/example.mdx","fields":null},"frontmatter":{"metaTitle":null,"showMetadata":null,"editable":null,"showPreviousNext":null,"showToc":null}},"gitBranch":{"name":"20211019-2FACTOR_AUTH"},"gitCommit":{"hash":"50a69cce8c40a2faa0cce76d4bf2bf9281a192c2","date":"2026-11-17 08:36"}},"pageContext":{"id":"7ca6dce2-037d-5c92-949a-fc8472f7ad27","lang":"en"}},"staticQueryHashes":["12478684","12478684","353167761","353167761","3960160274","3960160274","801980290","801980290"]}